import sys
import pygame

def run_game():
    #initial setup
    pygame.init()
    screen = pygame.display.set_mode((600, 600))
    pygame.display.set_caption("BrickBreaker")
    clock = pygame.time.Clock()
    #create variables
    
    ball_image = pygame.image.load("ball.png")
    paddle_image = pygame.image.load("paddle.png")
    ball_x = 150
    ball_y = 400

    paddle_x = 300
    paddle_y = 540

    velocity_x = 5
    velocity_y = 5

    running = True

    #game loop

    while running:
        clock.tick(60)
        #changes based on events
        
        for event in pygame.event.get():
            if event.type == pygame.KEYDOWN:
                if event.key == pygame.K_q:
                    running = False
                
        keys = pygame.key.get_pressed()
        if keys[pygame.K_RIGHT]:
            paddle_x += 10
        if keys[pygame.K_LEFT]:
            paddle_x -= 10
                    
        #automatic changes

        ball_x += velocity_x
        ball_y += velocity_y

        if ball_y > 580:
            velocity_y = -5

        if ball_x > 580:
            velocity_x = -5

        if ball_y < 0:
            velocity_y = 5

        if ball_x < 0:
            velocity_x = 5
                    
        #draw the stuff
        #first a black screen
                    
        screen.fill((20,20,20))
        
        #then stuff on top of the screen
        
        screen.blit(ball_image, (ball_x, ball_y))
        screen.blit(paddle_image, (paddle_x, paddle_y))
        
        #show the new screen
        
        pygame.display.flip()
        
    pygame.quit()


run_game()
